Blender et glibc 2.17. Le sujet est résolu

Demande d'aide : c'est ici.
Répondre
Avatar du membre
debianjam
Membre
Membre
Messages : 242
Enregistré le : 27 août 2017, 14:18
Status : Hors ligne

16 févr. 2020, 18:26

salut,
blender 2.82 (dernière version hors synaptic) nécessite l'emploi de glibc 2.17.
que je ne trouve pas dans synaptic
ce glibc est il facile à trouver et à installer ?
je trouve cette même question dans le forum debianfacile https://debian-facile.org/viewtopic.php?id=26082
2020/Debian10(buster)64 ; G3.30.2 ; mémoire : 3,7Gio ; i5 3450 @3.10Ghz x4 ; c.g. NV106 (intégrée Intel Ivybridge Desktop) ou asus gt730 2Gio
PascalHambourg
Contributeur
Contributeur
Messages : 393
Enregistré le : 05 août 2016, 20:25
Status : Hors ligne

16 févr. 2020, 20:52

glibc est un paquet source, à partir duquel est notamment construit le paquet binaire libc6.
https://packages.debian.org/search?keyw ... ection=all

Toutes les versions de Debian encore supportées ont une version plus récente de la glibc, donc ça devrait être bon.
Avatar du membre
debianjam
Membre
Membre
Messages : 242
Enregistré le : 27 août 2017, 14:18
Status : Hors ligne

16 févr. 2020, 21:07

est ce que ça signifie qu'il ne faut pas se préoccuper de ça
la mise en garde dans la page de téléchargement du site blender m'inquiétait
est ce que si l'on rencontre des problèmes de fonctionnement ils sont dûs à autre chose que cette question de glibc 2.17. ?
Vous n’avez pas les permissions nécessaires pour voir les fichiers joints à ce message.
2020/Debian10(buster)64 ; G3.30.2 ; mémoire : 3,7Gio ; i5 3450 @3.10Ghz x4 ; c.g. NV106 (intégrée Intel Ivybridge Desktop) ou asus gt730 2Gio
Avatar du membre
piratebab
Site Admin
Site Admin
Messages : 3096
Enregistré le : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors ligne

17 févr. 2020, 08:58

Le role des "empaqueteurs" de logiciels pour une distribution est justement de s'assurer de la compatibilité des diverses dépendances.
Donc si tu installes tout via le gestionnaire de paquet de ta distribution, et que tu ne fais pas de mélange entre versions de debian, tu n'auras pas de probléme.
Mais bon, l'erreur étant humaine, il y a apt listbug pour ça!
Avatar du membre
debianjam
Membre
Membre
Messages : 242
Enregistré le : 27 août 2017, 14:18
Status : Hors ligne

17 févr. 2020, 14:02

quelques précisions svp :
la version blender 2.82 peut se télécharger puis on décompresse le dossier
pour la lancer il faut aller chaque fois dans le dossier décompressé et cliquer sur le lanceur
ma question : le programme 2.82 est il autant installé que si on installe la version de blender disponible dans synaptic ?

+piratebab :
j'ai installé apt-listbugs, svp qu'est ce que je peux faire exactement pour vérifier si blender 2.82 fonctionne question dépendances ?
2020/Debian10(buster)64 ; G3.30.2 ; mémoire : 3,7Gio ; i5 3450 @3.10Ghz x4 ; c.g. NV106 (intégrée Intel Ivybridge Desktop) ou asus gt730 2Gio
Avatar du membre
piratebab
Site Admin
Site Admin
Messages : 3096
Enregistré le : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors ligne

17 févr. 2020, 15:09

Avec une commande nouvelle, le bon réflexe est man apt-listbugs.
Je ne comprends pas ta question de répertoire décompréssé.
Si tu insatlles via synaptic, tu as un lien dans le menu de ton interface graphique. Comme tout autre logiciel applicatif
Synaptic te donne les versions qu'il va installer.
Tu vas dans paquets --> propriétés
Si tu veux installer une version de blender plus récente que celle de ta version de debian, il est preferable de faire du pinning et de prendre par exemple la version dans testing (voir le wiki). Ce n'est pas sans risque de perturbations sur ta debian, mais ce sera toujours moins risquer que de prendre une version hors dépot debian.
Il existe une 3eme options, c'est de trouver une version appimage. C'est une espece de gros paquet qui contient totes les dépendances. Ca évite de polluer ton systeme.
PascalHambourg
Contributeur
Contributeur
Messages : 393
Enregistré le : 05 août 2016, 20:25
Status : Hors ligne

17 févr. 2020, 15:42

debianjam a écrit :
17 févr. 2020, 14:02
la version blender 2.82 peut se télécharger puis on décompresse le dossier
pour la lancer il faut aller dans le dossier décompressé et cliquer sur le lanceur
ma question : le programme 2.82 est il autant installé que si on installe la version de blender disponible dans synaptic ?
Ce n'est pas un paquet .deb mais une archive quelconque (tar.gz par exemple), donc ce n'est pas du tout installé comme un paquet Debian. C'est totalement inconnu des gestionnaires de paquets du système (dpkg, apt...) et cela ne vérifie pas si les dépendances sont satisfaites.
Avatar du membre
debianjam
Membre
Membre
Messages : 242
Enregistré le : 27 août 2017, 14:18
Status : Hors ligne

18 févr. 2020, 11:42

j'ai pris la version de blender daily 2.83 alpha sur le site blender
je positionne le lanceur dans le menu applications graphiques avec alacarte
je demande une ouverture dans le terminal
voici ce qu'on lit dans le terminal :

Code : Tout sélectionner

AL lib: (EE) GetLoadedHrtf: Invalid header in /usr/share/openal/hrtf/default-44100.mhr: "MinPHR02"
AL lib: (EE) GetLoadedHrtf: Failed to load /usr/share/openal/hrtf/default-44100.mhr
AL lib: (EE) GetLoadedHrtf: Invalid header in /usr/share/openal/hrtf/default-48000.mhr: "MinPHR02"
AL lib: (EE) GetLoadedHrtf: Failed to load /usr/share/openal/hrtf/default-48000.mhr
found bundled python: /home/utilisateur1/Téléchargements/blender-2.83-ca72ff599a96-linux64/2.83/python
au bout de quelques opérations et de quelques minutes le programme ne prend plus en compte les commandes
aucune information supplémentaire dans le terminal si ce n'est celle d'ouverture du fichier de travail

on ne peut pas faire autrement que d'utiliser des versions plus récentes que la version du dépôt
dans la version du dépôt par exemple impossibilité de mettre en place le add-on BlenderGis voir le message d'erreur de Blender :
Vous n’avez pas les permissions nécessaires pour voir les fichiers joints à ce message.
2020/Debian10(buster)64 ; G3.30.2 ; mémoire : 3,7Gio ; i5 3450 @3.10Ghz x4 ; c.g. NV106 (intégrée Intel Ivybridge Desktop) ou asus gt730 2Gio
Avatar du membre
piratebab
Site Admin
Site Admin
Messages : 3096
Enregistré le : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors ligne

18 févr. 2020, 20:56

Comme on te l'as expliqué, installer un programme sans passer par les depots debian est complexe. Tu dois avoir dans ce que tu as telechargé un fichier readme qui t'indique toute les dépendances à installer manuellement avant d'installer blender.
Mais encore une fois, ce n'est pas une méthode propre. Essaie celle recomendée par le site de blender:
https://snapcraft.io/install/blender/debian
Avatar du membre
debianjam
Membre
Membre
Messages : 242
Enregistré le : 27 août 2017, 14:18
Status : Hors ligne

19 févr. 2020, 01:18

Je suis passé voir ce snaps
Il semblerait que ça concerne la 2.80 qui est déjà dans le dépôt.

Pour le problème de crash que je rencontre il se pourrait que ce soit bêtement un problème de manque de mémoire. J'ai trouvé un post dans un forum francophone blenderlounge décrivant quelque chose de semblable http://blenderlounge.fr/forum/viewtopic ... age#p14984
Je suis étonné du faible nombre de sujets traités dans ce forum blenderlounge pour des problèmes avec debian. Ce qui voudrait peut être dire qu'il n'y a aucun problème particulier avec une machine suffisamment bien équipée (processeur, mémoire, carte graphique).
Il est vrai qu'une communauté blender debian serait la bienvenue, elle existe peut être ?
2020/Debian10(buster)64 ; G3.30.2 ; mémoire : 3,7Gio ; i5 3450 @3.10Ghz x4 ; c.g. NV106 (intégrée Intel Ivybridge Desktop) ou asus gt730 2Gio
Avatar du membre
piratebab
Site Admin
Site Admin
Messages : 3096
Enregistré le : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors ligne

19 févr. 2020, 14:28

Lorsqu'on se contente d'utiliser les paquets debian, on n'a que très rarement des problémes. Et ils sont souvent reglés rapidements, les devs debian sont trés exigants sur la qualité des paquets. C'est probablement pour ça qu'il n'y a pas de communauté qui cible un paquet debian particulier.
Si tu tiens absolument à utiliser une version trés récente de blender, installée depui leur site, je te recomenderais de ne dédier ta machine qu'a ça. Tu installes une debian minimale, et tu pourras ainsi consacrer un maximum de ressources à blender. Et tant qu'a faire, passe la directement en SID, avec les risques que cela comporte lors des mises à jours.
Un disque SSD pour le systeme améliore fortement la vitesse de démarrage et le lancement des programmes. Cela à peu d'effet ensuite sur l'exécution des programmes.
Avatar du membre
debianjam
Membre
Membre
Messages : 242
Enregistré le : 27 août 2017, 14:18
Status : Hors ligne

19 févr. 2020, 17:56

je disais que 2.80 était dans le dépôt, erreur c'est 2.79.b+dfsg0-7
suite aux conseils reçus dans le forum, je me suis référé à cette page https://packages.debian.org/search?keywords=blender et j'ai vérifié dans applications/outils système/logiciels
oui on peut commencer par ça et voir si le problème blendergis a trouvé une solution
2020/Debian10(buster)64 ; G3.30.2 ; mémoire : 3,7Gio ; i5 3450 @3.10Ghz x4 ; c.g. NV106 (intégrée Intel Ivybridge Desktop) ou asus gt730 2Gio
Avatar du membre
piratebab
Site Admin
Site Admin
Messages : 3096
Enregistré le : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors ligne

19 févr. 2020, 20:07

j'avais regardé, et même en experimental debian ne proposait pas encore un paquet pour 2.82. Mais je viens de regarder, et 2.82 est dans SID
https://packages.debian.org/sid/blender
Tu peux tenter un pinning et le prendre dans SID
Avatar du membre
piratebab
Site Admin
Site Admin
Messages : 3096
Enregistré le : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors ligne

19 févr. 2020, 20:08

avant le lancer un apt update, poste ici ton sources.list et ton fichier preferences afin qu'on le valide
Avatar du membre
debianjam
Membre
Membre
Messages : 242
Enregistré le : 27 août 2017, 14:18
Status : Hors ligne

20 févr. 2020, 12:55

On me le conseillait ici, je crois que je vais chercher un autre HDD et faire une installation de debian sid. De cette façon les choses seront plus simples à administrer pour moi.
En ayant deux HDD, a t-on le choix du HDD au démarrage ?
Lorsqu'un système est lancé, comment accéder à l'autre ? Coupure et redémarrage, ou bien bascule ?
2020/Debian10(buster)64 ; G3.30.2 ; mémoire : 3,7Gio ; i5 3450 @3.10Ghz x4 ; c.g. NV106 (intégrée Intel Ivybridge Desktop) ou asus gt730 2Gio
Avatar du membre
piratebab
Site Admin
Site Admin
Messages : 3096
Enregistré le : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors ligne

20 févr. 2020, 16:44

Le plus simple est de faire un multiboot . Tu as les 2 systemes sur ton disque, et au démrrage tu choisis lequel tu veux lancer.
Si tu ne maitrises pas trop , je te conseille d'avoir 2 systemes completements indépendants (systeme et /home).
Si tu maitrises, tu peux avoir le /home commun pour les 2 systemes.
Dans tous les cas, passer de l'un à l'autre debian requiert un redémarrage.
Avatar du membre
debianjam
Membre
Membre
Messages : 242
Enregistré le : 27 août 2017, 14:18
Status : Hors ligne

21 févr. 2020, 12:34

bonjour,
lors de l'installation du snaps blender, voici la copie de la fin du terminal :

Code : Tout sélectionner

root@debian:/home/utilisateur1# snap install blender --classic
2020-02-21T12:08:26+01:00 INFO Waiting for restart...
blender 2.82 from Blender Foundation (blenderfoundation✓) installed
Channel latest/stable for blender is closed; temporarily forwarding to stable.
root@debian:/home/utilisateur1#
on remarque qu'il s'agit de 2.82 qui s'installe et non pas 2.80 comme prévu, on passe donc à v+2 par rapport à ce qui était prévu et v+3 par rapport au dépôt
une icone supplémentaire blender s'est ajoutée au menu applications/graphisme que j'ai renommée "blender snaps"
des essais sont en cours
2020/Debian10(buster)64 ; G3.30.2 ; mémoire : 3,7Gio ; i5 3450 @3.10Ghz x4 ; c.g. NV106 (intégrée Intel Ivybridge Desktop) ou asus gt730 2Gio
Avatar du membre
vv222
Modérateur
Modérateur
Messages : 366
Enregistré le : 18 avr. 2016, 20:14
Localisation : Bretagne
Contact :
Status : Hors ligne

23 févr. 2020, 09:06

J’ai ajouté une mention de Blender dans le titre de cette discussion, ça devrait permettre aux spécialistes de la repérer plus facilement.
Avatar du membre
piratebab
Site Admin
Site Admin
Messages : 3096
Enregistré le : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors ligne

24 févr. 2020, 11:36

C'est une bonne nouvelle. Un snap ne met pas trop le bazar dans ton syeteme, tu ne devrais pas avoir d'effets de bord.
Dés que c'est OK, tu pourras mettre la coche verte.
Merci vv222, cela faciletera les recherches.
Avatar du membre
lol
Site Admin
Site Admin
Messages : 3134
Enregistré le : 04 avr. 2016, 12:11
Localisation : Madagascar
Contact :
Status : Hors ligne

24 févr. 2020, 15:13

Bien joué le coup du snap.
Je ne suis pas encore très à l'aise avec ça, mais c'est tout de même bien pratique.
Il faudra penser à un tuto ou une page Wiki sur l'utilisation des snap(s)!

:good:
Debian SID. XFCE.
C'est curieux chez les marins ce besoin de faire des phrases (Les tontons flingueurs).
Générateur de sources.list!
Répondre